## org.eclipse.emf.edit.ui.action
Class CommandActionHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.emf.edit.ui.action.CommandActionHandler

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Direct Known Subclasses:
  ControlAction, CopyAction, CutAction, DeleteAction, GenModelActionBarContributor.CreateAction, PasteAction

    public class CommandActionHandler

extends BaseSelectionListenerAction

Field Summary
`protected Command` `command` This keeps track of the command delegate that is created by `createCommand(java.util.Collection<?>)`.
`protected EditingDomain` `domain` This keeps track of the editing domain of the action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CommandActionHandler(EditingDomain domain)` This constructs and instance in this editing domain.
`CommandActionHandler(EditingDomain domain, java.lang.String label)` This constructs and instance in this editing domain.

Method Summary
`Command` `createCommand(java.util.Collection<?> selection)` This default implementation simply returns `UnexecutableCommand.INSTANCE`.
`EditingDomain` `getEditingDomain()` This returns the action's domain.
`void` `run()` This simply execute the command.
`void` `setEditingDomain(EditingDomain domain)` This sets the action's domain.
`boolean` `updateSelection(IStructuredSelection selection)` When the selection changes, this will call `createCommand(java.util.Collection<?>)` with the appopriate collection of selected objects.

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`clearCache, getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### domain

    protected EditingDomain domain

  This keeps track of the editing domain of the action.

### command

    protected Command command

  This keeps track of the command delegate that is created by `createCommand(java.util.Collection<?>)`.

Constructor Detail

### CommandActionHandler

    public CommandActionHandler(EditingDomain domain)

  This constructs and instance in this editing domain.

### CommandActionHandler

    public CommandActionHandler(EditingDomain domain,
                                java.lang.String label)

  This constructs and instance in this editing domain.

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  This returns the action's domain.

### setEditingDomain

    public void setEditingDomain(EditingDomain domain)

  This sets the action's domain.

### run

    public void run()

  This simply execute the command.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### updateSelection

    public boolean updateSelection(IStructuredSelection selection)

  When the selection changes, this will call `createCommand(java.util.Collection<?>)` with the appopriate collection of selected objects.

  Overrides:
    `updateSelection` in class `BaseSelectionListenerAction`

### createCommand

    public Command createCommand(java.util.Collection<?> selection)

  This default implementation simply returns `UnexecutableCommand.INSTANCE`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.